Package org.eclipse.viatra.query.runtime.rete.traceability

## Class CompiledSubPlan

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo
  - - org.eclipse.viatra.query.runtime.rete.traceability.PlanningTrace
    - - org.eclipse.viatra.query.runtime.rete.traceability.CompiledSubPlan

- All Implemented Interfaces:
    `PatternTraceInfo`, `TraceInfo`

      public class CompiledSubPlan
      extends PlanningTrace

  A trace marker associating a Rete recipe with a query SubPlan.

  The Rete node represented by the recipe is equivalent to the SubPlan.

  Invariant: each variable has at most one index associated with it in the tuple, i.e. no duplicates.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.traceability.PlanningTrace

      `posMapping, subPlan, variablesTuple`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompiledSubPlan​(SubPlan subPlan, java.util.List<PVariable> variablesTuple, ReteNodeRecipe recipe, java.util.Collection<? extends RecipeTraceInfo> parentRecipeTraces)` |
    `CompiledSubPlan​(SubPlan subPlan, java.util.List<PVariable> variablesTuple, ReteNodeRecipe recipe, RecipeTraceInfo... parentRecipeTraces)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.traceability.PlanningTrace

      `cloneFor, getPatternName, getPosMapping, getSubPlan, getVariablesTuple`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.traceability.RecipeTraceInfo

      `assignNode, getNode, getParentRecipeTraces, getParentRecipeTracesForCloning, getRecipe, getShadowedRecipe, propagateFromIndexerToSupplierParent, propagateFromStandardNodeToSupplierParent, propagateToIndexerParent, propagateToProductionNodeParentAlso, shadowWithEquivalentRecipe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.traceability.TraceInfo

      `assignNode, getNode, propagateFromIndexerToSupplierParent, propagateFromStandardNodeToSupplierParent, propagateToIndexerParent, propagateToProductionNodeParentAlso`

- - ### Constructor Detail

    - #### CompiledSubPlan

          public CompiledSubPlan​(SubPlan subPlan,
                                 java.util.List<PVariable> variablesTuple,
                                 ReteNodeRecipe recipe,
                                 java.util.Collection<? extends RecipeTraceInfo> parentRecipeTraces)

    - #### CompiledSubPlan

          public CompiledSubPlan​(SubPlan subPlan,
                                 java.util.List<PVariable> variablesTuple,
                                 ReteNodeRecipe recipe,
                                 RecipeTraceInfo... parentRecipeTraces)